import * as reportTemplateClient from "@/client/reportTemplate.client"
import type { ReportTemplateSave } from "@/types/report.types";

export async function save(reportTemplateSave: ReportTemplateSave) {
  return reportTemplateClient.save(reportTemplateSave);
}

export async function tags() {
  return reportTemplateClient.tags()
}

export async function list(field?: string, keyword?: string, page?: number) {
  return reportTemplateClient.list(field, keyword, page);
}

export async function remove(id: number) {
  return reportTemplateClient.remove(id)
}

/**
 * 通过报告模板ID获取报告模板内容
 * @param id 报告模板ID
 */
export async function get(id: number) {
  return reportTemplateClient.get(id)
}
